Subject: How crc32 value is calculated for deltified objects

From: Farhan Khan <[email-masked]>
Date: Sat, 2 Mar 2019 17:08:35 -0500

Hi all,

I am trying to figure out how the crc32 value is calculated for deltified
objects.

It appears that the crc32 value is updated in the use() function. After
calculating the header, the unpack_raw_entry() function will call
unpack_entry_data(). This function inflates the delta object and calls use().

My question is, does it update the crc32 value with the deltas or just the
undeltified object? And if my question implies I do not understand how this
process works, can you please explain to me how the crc32 value is constructed?

Thank you.
---
Farhan Khan
PGP Fingerprint: 1312 89CE 663E 1EB2 179C  1C83 C41D 2281 F8DA C0DE